ข้ามไปยังเนื้อหา

MoonDreamNext Batch

ผสานการทำงาน

ID โมเดล moondream-next/batch
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream-next/batch?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.002 2 เครดิต API · ≈ ₽0.21 เรียกใช้ในหน้านี้

รับคีย์ API
Moondream การมองเห็น #multimodal

ใช้พรอมต์เดียวกับรูปภาพจำนวนมากพร้อมกัน และส่งคืนคำบรรยายเป็นรายการและไฟล์ JSON

Moondream · ข้อมูล (JSON)

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

พรอมต์ร่วมที่ใช้กับรูปภาพทุกภาพ

•จำเป็น

URL รูปภาพที่ส่งเพื่อประมวลผล จำกัดไม่เกิน 32 รูปภาพ

ขั้นสูง max_tokens
ค่าเริ่มต้น 64

ขีดจำกัดสูงสุดของโทเค็นที่สร้าง

POST /run/moondream-next/batch?wait=20 ใบเสนอราคา → $0.002
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/moondream-next/batch?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ MoonDreamNext Batch

เรียกใช้ `prompt` เดียวกับรายการ URL รูปภาพที่ส่งผ่าน `images_data_url` รองรับสูงสุด 32 รูปภาพต่อคำขอ `max_tokens` อยู่ในช่วง 1 ถึง 512 โดยมีค่าเริ่มต้น 64 ผลลัพธ์เป็นอาร์เรย์ของคำบรรยายและลิงก์ไปยังไฟล์ JSON ที่จับคู่ชื่อไฟล์กับคำบรรยาย

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
images_data_urlจำเป็น
ประเภทstring
URL รูปภาพที่ส่งเพื่อประมวลผล จำกัดไม่เกิน 32 รูปภาพ
promptจำเป็น
ประเภทstring
พรอมต์ร่วมที่ใช้กับรูปภาพทุกภาพ
max_tokensไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น64
1 – 512
ขีดจำกัดสูงสุดของโทเค็นที่สร้าง
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream-next/batch",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2,
    "usd": "0.002",
    "charged": 2,
    "refunded": 0
  },
  "input": {
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "captions_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "outputs": [
      "string"
    ]
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
captions_file
object {url, content_type, file_name, file_size}URL ของไฟล์คำบรรยาย JSON ที่สร้างขึ้น ซึ่งจับคู่ชื่อไฟล์กับคำบรรยาย
outputs
array of stringคำบรรยายที่สร้างขึ้น ส่งคืนเป็นรายการ

โมเดลเพิ่มเติม: การมองเห็น

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/moondream-next/batch.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt